Name:           libgsasl
Version:        1.10.0
Release:    1%{?dist}
Summary:        GNU SASL library
License:        LGPLv2+
URL:            https://www.gnu.org/software/gsasl/
Source0:        https://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz.sig
BuildRequires:  gcc
BuildRequires:  krb5-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libidn-devel
BuildRequires:  libntlm-devel
BuildRequires:  pkgconfig
BuildRequires: make

%description
The library includes support for the SASL framework
and at least partial support for the CRAM-MD5, EXTERNAL,
GSSAPI, ANONYMOUS, PLAIN, SECURID, DIGEST-MD5, LOGIN,
and NTLM mechanisms.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure --disable-static --disable-rpath --with-gssapi-impl=mit
%{make_build}

%install
%{make_install}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS NEWS README THANKS
%license COPYING COPYING.LIB
%{_libdir}/libgsasl.so.*

%files devel
%license COPYING COPYING.LIB
%{_includedir}/gsasl*
%{_libdir}/libgsasl.so
%{_libdir}/pkgconfig/libgsasl.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-1
- initial build
